about summary refs log tree commit diff
path: root/test/pbmclean.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pbmclean.test')
-rwxr-xr-xtest/pbmclean.test4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/pbmclean.test b/test/pbmclean.test
index 5eba68e0..9d59a5a6 100755
--- a/test/pbmclean.test
+++ b/test/pbmclean.test
@@ -46,8 +46,8 @@ echo "-----------------------------------------------------------" 1>&2
 
 # overspecification
 pbmclean -black -white -min=1 -extended testgrid.pbm > ${test_out} || \
-  printf "Expected failure 1"
-  test -s ${test_out}; echo " "$?
+  printf "Expected failure 1 "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}
 
 # note that without -extended the above is valid.